package vc.thinker.exception;

import cn.yueshutong.springbootstartercurrentlimiting.annotation.CurrentLimiter;
import cn.yueshutong.springbootstartercurrentlimiting.handler.CurrentAspectHandler;
import org.aspectj.lang.ProceedingJoinPoint;
import org.springframework.stereotype.Component;

/**
 * @author : xieshaojun
 * @date : 2023/1/4 18:13
 */
@Component
public class CurrentLimitHandler implements CurrentAspectHandler {

    @Override
    public Object around(ProceedingJoinPoint pjp, CurrentLimiter rateLimiter)  {
        //限流的返回数据可以自己根据需求场景设计
        throw new CurrentLimitException("接口访问繁忙,休息一下");
    }
}